[Homebrew/homebrew-cask] Delete opencore-configurator 2.7.1.0, fixes #85770 (#85974)

From: notifications@github.com
Domain: IP info github.com
MX-server: IP info out-17.smtp.github.com
Size: 5174 Bytes
Create: 2020-07-15
Update: 2020-07-15
Score: 0
Safe: Yes

Outbound domains: github.com |

Important: Do not tick a checkbox if you haven’t performed its action. Honesty is indispensable for a smooth review process.

After making all changes to a cask, verify:

  • brew cask audit --download {{cask_file}} is error-free.
  • brew cask style --fix {{cask_file}} reports no offenses.
  • There are no open pull requests for the same update.
  • The submission is for a stable version or documented exception.

As said in in #85770 there is definetly some download protection, but it seems to be either selective or random. E.g. some past PRs test failed on one CI but succeeded on another.

I see this on my machine:

brew cask upgrade -v 
==> Casks with `auto_updates` or `version :latest` will not be upgraded
==> Upgrading 1 outdated package:
opencore-configurator 2.7.0.1 -> 2.7.1.0
==> Upgrading opencore-configurator
==> Downloading https://mackie100projects.altervista.org/apps/opencoreconf/download-new-build.php?version=last
Already downloaded: /Users/yurikoles/Library/Caches/Homebrew/downloads/ddf69e251974e47e9cc539b7df35ebacbff80effab193a3109c2bfdf469c307e--download-opencore-configurator
==> Verifying SHA-256 checksum for Cask 'opencore-configurator'.
==> Note: Running `brew update` may fix SHA-256 checksum errors.
==> Purging files for version 2.7.1.0 of Cask opencore-configurator
Error: Checksum for Cask 'opencore-configurator' does not match.
Expected: 33adeb8d5badff1ad4e276fc9696067d62c6ed0f3aad5d2010666930ce200531
  Actual: 9c0c67b0598d28750c247e9b1b507e44885766c0b3f409fff18f6ae4bdfc7858
    File: /Users/yurikoles/Library/Caches/Homebrew/downloads/ddf69e251974e47e9cc539b7df35ebacbff80effab193a3109c2bfdf469c307e--download-opencore-configurator
To retry an incomplete download, remove the file above.
If the issue persists, visit:
  https://github.com/Homebrew/homebrew-cask/blob/HEAD/doc/reporting_bugs/checksum_does_not_match_error.md

Where download-opencore-configurator is homepage subpath.


You can view, comment on, or merge this pull request online at:

  https://github.com/Homebrew/homebrew-cask/pull/85974

Commit Summary

  • Delete opencore-configurator 2.7.1.0, fixes #85770

File Changes

  • D Casks/opencore-configurator.rb (11)

Patch Links:

  • https://github.com/Homebrew/homebrew-cask/pull/85974.patch
  • https://github.com/Homebrew/homebrew-cask/pull/85974.diff


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Want to protect your real email from messages like this? Use TempM email and be more secure on the internet.